<span *ngIf="state!=4">
  <span *ngFor="let element of columns; index as i">
    <app-textbox *ngIf="element.componentType==0" [placeHolder]="element.header" [inputType]="element.type"
                 [name]="element.field"
                 [isSecurity]="element.isPassword" [disabled]="element.isReadonly"
                 [width]="element.width" [inputValue]="selectedData[element.field]"></app-textbox>
    <app-checkbox *ngIf="element.componentType==1" [color]="accent" [title]="element.header"
                  [name]="element.field"
                  [disabled]="element.isReadonly"
                  [width]="element.width"
                  [checked]="selectedData[element.field]"></app-checkbox>
    <app-dropdown *ngIf="element.componentType==3" [title]="element.header"
                  [name]="element.field"
                  [isDisabled]="element.isReadonly"
                  [width]="element.width"
                  [value]="selectedData[element.field]"
                  [dataSource]="element.dataSource"
                  (selectedActionEvent)="changeDropDown($event)"></app-dropdown>
    <app-fileUpload *ngIf="element.componentType==4" [placeHolder]="element.header" [title]="element.header"
                 [name]="element.field" [disabled]="element.isReadonly"
                 [width]="element.width" [inputValue]="selectedData[element.field]"
                 [isMultiFile]="element.isMultiFile" [fileTypeCanChoose]="element.fileTypeCanChoose" [uploadUrl]="element.uploadUrl"></app-fileUpload>
    <!--<app-datepicker *ngIf="element.componentType==9" [placeHolder]="element.header" [inputType]="element.type"
               [name]="element.field"
               [disabled]="element.isReadonly"
               [width]="element.width" [inputValue]="selectedData[element.field]"></app-datepicker>-->
  </span>
</span>
<div id="ManipulateButton" *ngIf="state!=4">
  <button *ngIf="state<3" mat-button color="primary" (click)="submitChanged()">تایید</button>
  <button mat-button color="primary" (click)="backToList()">بازگشت به لیست</button>
</div>
